<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card class="parameter-card" [class.read-only]="readOnly" [class.in-error]="inError">
  <mat-card-header>
    <mat-card-title>{{title}}<span *ngIf="!readOnly && required" class="required"> *</span></mat-card-title>
    <mat-card-subtitle>{{subtitle}}</mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <button *ngIf="completed && !readOnly" mat-mini-fab disabled class="task-complete">
      <mat-icon>check</mat-icon>
    </button>
    <button *ngIf="readOnly" mat-mini-fab disabled class="task-locked">
      <mat-icon>lock</mat-icon>
    </button>
    <button *ngIf="inError" mat-mini-fab disabled class="task-error">
      <span class="error-text">!</span>
    </button>
    <div *ngIf="!shouldDisplayContent" class="no-config" fxLayout="column" fxFlex="grow" fxLayoutAlign="center center">
      <span>{{'completable-card.empty' | translate}}</span>
    </div>
    <div class="content" *ngIf="shouldDisplayContent">
      <ng-content></ng-content>
    </div>
  </mat-card-content>

  <mat-card-actions [class.with-divider]="shouldDisplayContent" fxLayout fxLayoutAlign="end">
    <button mat-button color="primary" (click)="edit()">
      <span *ngIf="readOnly">{{'completable-card.actions.display' | translate | uppercase}}</span>
      <span *ngIf="!readOnly">{{'completable-card.actions.configure' | translate | uppercase}}</span>
    </button>
  </mat-card-actions>

</mat-card>
